Subject: bug#39295: 26.3; kbd-help property is undocumented

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jan 2020 21:24:51 +0200

> From: Howard Melman <[email-masked]>
> Date: Fri, 31 Jan 2020 12:23:45 -0500
> Cc: [email-masked]
> 
> > Not every feature is documented in the manual, only the important ones
> > are.  And I'm not sure I see the utility of stating in comments that
> > we don't document this in the manual: we don't say that about all the
> > other features not mentioned in the manual.
> 
> I think some place should describe when code should use kbd-help as opposed to help-echo. 

I see it explained in the doc string of help-at-pt-display-when-idle,
and also in some other doc strings in help-at-pt.el.

> The elisp manual section "Properties with Special Meanings" is incomplete without it.

It doesn't try to be complete.  Eventually, one needs to read the doc
strings of the features one wants to use.